ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erin Boyd <eb...@redhat.com>
Subject Re: ambari 1.5.1 install problem ..
Date Wed, 23 Apr 2014 18:30:06 GMT
Hi EI,
Is your agent.ini file pointing to the server?
Can you agent get out on the network? Can you yum install anything from the agent node?
Erin


----- Original Message -----
From: "EMINE ILOGLU" <ei947t@att.com>
To: user@ambari.apache.org
Sent: Wednesday, April 23, 2014 12:13:50 PM
Subject: RE: ambari 1.5.1  install problem ..

Hi,

I have installed the ambari server without any problems, but when I install ambari-agent,
I get the following. Any ideas?

Thanks!
EI

Resolving Dependencies
--> Running transaction check
---> Package ambari-agent.x86_64 0:1.5.1.110-1 will be installed
---> Package ambari-log4j.noarch 0:1.5.1.110-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package            Arch         Version             Repository            Size
================================================================================
Installing:
ambari-agent       x86_64       1.5.1.110-1         Updates-ambari       6.7 M
ambari-log4j       noarch       1.5.1.110-1         Updates-ambari       536 k

Transaction Summary
================================================================================
Install       2 Package(s)

Total download size: 7.2 M
Installed size: 28 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                            59 MB/s | 7.2 MB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing : ambari-agent-1.5.1.110-1.x86_64                              1/2

  Installing : ambari-log4j-1.5.1.110-1.noarch                              2/2
Installed products updated.

Installed:
  ambari-agent.x86_64 0:1.5.1.110-1      ambari-log4j.noarch 0:1.5.1.110-1

Complete!
+ '[' -e /usr/sbin/ambari-agent ']'
+ mkdir /tmp/ambari-agent
+ echo 'HDP_AMBARI_SERVER = zlxv2256.vci.att.com'
HDP_AMBARI_SERVER = zlxv2256.vci.att.com
+ sh /opt/app/swm/aftswmnode/stage/zlxv2263/com/att/hortonworks/ambari-agent/1.4-3/common/utils/findreplace.sh
/opt/app/ambari-agent/ambari-agent.ini /etc/ambari-agent/conf/ambari-agent.ini
++ ps -ef
++ grep '^root .*/ambari_agent/AmbariAgent.py'
++ grep -v grep
+ PS_CHK=
+ cd /var/tmp
+ '[' -n '' ']'
+ /usr/sbin/ambari-agent start
Verifying Python version compatibility...
Using python  /usr/bin/python2.6
Checking for previously running Ambari Agent...
Starting ambari-agent
Verifying ambari-agent process status...
ERROR: ambari-agent start failed. For more details, see /var/log/ambari-agent/ambari-agent.out:
====================
  File "/usr/lib/python2.6/site-packages/ambari_agent/ActionQueue.py", line 81, in __init__
    controller)
  File "/usr/lib/python2.6/site-packages/ambari_agent/CustomServiceOrchestrator.py", line
55, in __init__
    self.file_cache = FileCache(config)
  File "/usr/lib/python2.6/site-packages/ambari_agent/FileCache.py", line 55, in __init__
    config.get('agent','tolerate_download_failures').lower() == 'true'
  File "/usr/lib64/python2.6/ConfigParser.py", line 321, in get
    raise NoOptionError(option, section)
NoOptionError: No option 'tolerate_download_failures' in section: 'agent'

====================
Agent out at: /var/log/ambari-agent/ambari-agent.out
Agent log at: /var/log/ambari-agent/ambari-agent.log



Mime
View raw message